/*
	パーティクルスクリプト	基本処理

	このスクリプトをインクルードすると楽チンです。
*/

#ifndef _PTCL_V2_
#define _PTCL_V2_

#include "ptclbase_v2.h"
#include "ptclcom_v2.h"


//////////////////////////////////
// グローバル変数

float	fReg[32];				// 初期化レジスタ
float	fScreenX, fScreenY;		// 画面サイズ
float	fPosX, fPosY, fPosZ;	// 表示位置

dword	dwOldFrame;		// 前フレーム値

void main( )
{
	dword	now;
	VERTEX	v[4];
	dword	frame, before;
	dword	x, y;

	frame = GetFrame( );
	before = GetBeforeFrame( );
	now   = GetNow( );
	GetBox( v );
	
	GetPos( &fPosX, &fPosY, &fPosZ );
	
	if( frame == 0 )
	{
		if( now == 0 )
		{
			GetReg( fReg );
			GetScreenSize( &x, &y );
			fScreenX = (float)x;
			fScreenY = (float)y;
			dwOldFrame = 1;
		}
		Initialize( now, v );
	}
	else
	{
		if( now == 0 )
		{
			GetReg( fReg );
		}
		Exec( before, frame, now, v );
	}

	SetBox( v );
	SetPos( fPosX, fPosY, fPosZ );
}



#endif

